<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

***************************************************************************

Contribution benoit.ducange@ac-amiens.fr

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/attestations.inc.php");
include("../include/purges.inc.php");
include("../include/insert.inc.php");

//ouverture de la session
opensession("Prof",false);

print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Texte de la rubrique 1</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<?php include("../include/utiljs.php"); ?>

</head>

<body class="arialprof" bgcolor="white" text="black" link="blue" vlink="purple" alink="red">

<?php
$prof_id=$sess_mec_id;

//Fonction locale
function reponse_prof($profid, $messid) {   //Savoir si profid a déjà donné une validation OUI à ce message
  global $host, $user, $mdp, $db;
  $deja_accord=false;
  $sqlprof="SELECT * FROM reponses WHERE prof_id=$profid and message_id=$messid and accord=1;";
  $resprof=query($sqlprof);
  if ($rowprof=mysql_fetch_array($resprof)) $deja_accord=true;
  return $deja_accord;
	}


/////////////////////////
// programme principal //
/////////////////////////
echo '<body class="arialprof" text="black" link="blue" vlink="purple" alink="red">';

print "<p class='sous_titre'><i>Valider des items sans demande préalable</i><br></p>";
print "<p class='warning'>Dans le cas de plusieurs items pour plusieurs élèves, l'affichage risque être long : ";
print "attendez le bouton \"Retour\" en bas de page pour continuer !</p>";
print "<p class='attention'>Vous avez validé les items :</p>";

$conn  = connecte($host, $user, $mdp, $db);
//$aujourdhui = date("d/m/Y");
$aujourdhui = date("Y/m/d H:I");
//Recherche nom du prof demandeur (civil + nom + prenom)
$prof_demandeur=getprof($prof_id,3);

//Discipline validatrice de l'item (pour GIBII ! mais bon, on le garde aussi pour Melia on ne sait jamais ..)
//Dans resultats on stocke la discipline de la demande (-1 pour GiBii-GiCii Langue pour Melia)
//Par contre pour GiBii on a aussi besoin de la discipline du prof pour le libellé de la feuille de position
$disc_val=getprof($prof_id,4);
if ($MODULE=='Melia') $disc_dem=$disc_val; 
else $disc_dem=-1;

//print "total coches élèves : ".$total_coche_eleve."Total coches items : ".$total_coche_item."<br>";

for ($varitem=0;$varitem<$total_coche_item;$varitem++)      {
  for ($vareleve=0;$vareleve<$total_coche_eleve;$vareleve++)     {
  	if (isset($coche_eleve[$vareleve])) $id_eleve=$coche_eleve[$vareleve];
        else unset($id_eleve);
  	if (isset($coche_item[$varitem])) $id_item=$coche_item[$varitem];
        else unset($id_item);
  	$message="";
  	if (isset($id_eleve) && isset($id_item)) { //seuls cas à traiter
    //Pour chaque cas il y aura des actions à faire à la fin
    $creedemande=false;
    $creereponse=false;
    $ajouteouidemande=false;
    $testedemande=false;
    $message="";
  	
    // verif et mise à jour de demandes
    $resdemande=query("SELECT *,TO_DAYS(NOW())-TO_DAYS(quand) as nbj FROM demandes WHERE (item_id=$id_item) 
				AND (eleve_id=$id_eleve) AND disc_id=$disc_dem AND active=1");
    $rowdemande=mysql_fetch_array($resdemande);
    
    //D E B U T Traitement demande ==================================================================

    
    //Tester d'abord si une demande existait déjà'
    if (!$rowdemande) {
    	//Création de demande si elle n'existe pas
       	//ATTENTION à la discipline préparée plus haut
 		$creedemande=true;
 		$creereponse=true;
 		$acc_oui=1;
		$acc_non=0;
		$testedemande=true;
    	}
    else {  //La demande existait déjà, il suffit de récupérer son id
    	$message_id=$rowdemande["message_id"];
		//item non acquis on va voir si la demande existe et n'est pas obsolète
        $acc_oui=$rowdemande['nboui'];
        $acc_non=$rowdemande['nbnon'];
        $dem_disc=$rowdemande['disc_id'];
        $dem_longue=$rowdemande['longue'];
        $dem_nbj=$rowdemande['nbj'];
        if (est_inactivee($message_id,$id_eleve,$id_item,$disc_dem,$dem_nbj,$acc_oui,$acc_non,$dem_longue))  {
        	//Elle dort, donc on en refait une !
            $creedemande=true;
 			$creereponse=true;
			$acc_oui=1;
			$acc_non=0;
			$testedemande=true;
			}
        else { //La demande est active, on peut continuer
       		//Attention, vérifier si le prof n'a pas déjà donné son avis positif !
       		$avisprof=reponse_prof($prof_id,$message_id);
       		if ($avisprof) $message="Validation déjà donnée par ce professeur";
			else {
				//Là on peut y aller !
				$creereponse=true;
				$ajouteouidemande=true;
               	$acc_oui++;
               	$testedemande=true;
				}
			}
        }
	
	//On élimine tout de suite le cas où l'item est déjà obtenu
  	$isresult=query("SELECT * FROM resultats WHERE eleve_id=$id_eleve AND item_id=$id_item AND disc_id=$disc_dem");
  	if (mysql_fetch_array($isresult)) {
	  	$message="Item déjà acquis précédemment !";
		}
	else {
	
		//Et maintenant les actions "normales"
		if ($creedemande) {
			query("INSERT INTO demandes SET quand=NOW(), commentaire='Demande du prof : $prof_demandeur ', 
					obtenue=0, active=1, nboui=1, nbnon=0, eleve_id='".seci($id_eleve)."', item_id='".seci($id_item)."', disc_id='".seci($disc_dem)."'");
	        // recuperation de l'identifiant
	        $message_id=@mysql_insert_id();
			}
		if ($creereponse) {
			query("INSERT INTO reponses SET accord=1, quand=NOW(), commentaire='".secs($commentaire)."',
				message_id=".seci($message_id)." , prof_id=".seci($prof_id));
			}
	    if ($ajouteouidemande) query("UPDATE demandes SET nboui=nboui+1 WHERE message_id=".seci($message_id)." ");
		if ($testedemande) {
			// mise à jour de resultat si le bilan des demandes-réponses est true
	       	if ($acc_oui-$acc_non>=$etab_nb_validations) {
	       		query("UPDATE demandes SET obtenue=1, active=0 WHERE message_id=".seci($message_id)." ");
	       		$r_id=ajout_resultat($id_eleve,$id_item,$disc_dem,$message_id,$prof_id);
	            $r_id=mysql_insert_id();
	            calcule_brevets($id_eleve);
	            $message="item acquis";
				}
			}
		}
	//Fin des actions ====================================================================
     print "<font size='-2' >l'item $id_item à l'élève ".geteleve($id_eleve)."\t le $aujourdhui ";
     print "<font color='red'>".$message."</font></font><br>";
    } // fin du if  cas à traiter
   } // 2° for
} // 1° for


echo "<center>demande traitée<form method='post' action='../prof/prof_bas.php'>
<input type='submit' class='coul' name='retour' value='Retour'>
</form>
</body>";